FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 01-04-2008, 11:45 AM
Hugo Vanwoerkom
 
Default Anyone run nvidia driver + latest xorg 7.3?

Hi,

I am getting an X server crash after upgrading xorg on Sid to 7.3:

Backtrace:
0: /usr/X11R6/bin/X(xf86SigHandler+0x7e) [0x80c660e]
1: [0xffffe420]
2: /lib/libc.so.6(__libc_malloc+0x8d) [0xb7d11d2d]
3: /usr/X11R6/bin/X(XNFalloc+0x27) [0x81b4507]
4: /usr/X11R6/bin/X(xf86AddInputDriver+0x6b) [0x80cfeab]
5: /usr/X11R6/lib/modules/drivers//nvidia_drv.so(_nv000813X+0x63)
[0xb71716c3]

6: /usr/X11R6/bin/X(main+0x296) [0x8074516]
7: /lib/libc.so.6(__libc_start_main+0xe0) [0xb7cba450]
8: /usr/X11R6/bin/X(FontFileCompleteXLFD+0x205) [0x8073a81]

Fatal server error:
Caught signal 11. Server aborting

Running:
hugo@debian:~$ uname -a
Linux debian 2.6.23-1-686 #1 SMP PREEMPT Sun Dec 9 10:02:52 CST 2007
i686 GNU/Linux


and:
ii xserver-xorg 1:7.2-5 the
X.Org X server
ii xserver-xorg-core 2:1.4.1~git20071212-2 Xorg X
server - core server


with:
NVIDIA-Linux-x86-1.0-9631-pkg1.run

Errors show up in Xorg.0.log:

(EE) NVIDIA(0): ============= WARNING WARNING WARNING WARNING =============
(EE) NVIDIA(0): This server has a video driver ABI version of 2.0 but this
(EE) NVIDIA(0): driver is designed to work with versions before 2.0.
(EE) NVIDIA(0): Please check http://www.nvidia.com/ for driver
updates or

(EE) NVIDIA(0): downgrade to an X server with a supported driver ABI.
(EE) NVIDIA(0): ================================================== =========

But despite setting -ignoreABI in gdm.conf, still persists.

Hugo
Section "ServerLayout"
Identifier "X0"
Screen 0 "Screen X0" 0 0
InputDevice "Mouse0" "CorePointer"
InputDevice "Keyboard0" "CoreKeyboard"
# Option "SingleCard" "true"
EndSection

Section "ServerLayout"
Identifier "X1"
Screen 0 "Screen X1" 0 0
InputDevice "Mouse1" "CorePointer"
InputDevice "Keyboard1" "CoreKeyboard"
# Option "SingleCard" "true"
# Option "BlankTime" "3600"
EndSection

Section "Extensions"
Option "Composite" "Enable"
# Option "RENDER" "Enable"
EndSection

Section "ServerLayout"
Identifier "Xinerama"
Screen "Screen x0"
Screen "Screen x1" Rightof "Screen x0"
InputDevice "Mouse0" "CorePointer"
InputDevice "Keyboard0" "CoreKeyboard"
EndSection

Section "Files"
ModulePath "/usr/X11R6/lib/modules/"
ModulePath "/usr/lib/xorg/modules/"
FontPath "/usr/X11R6/lib/X11/fonts/misc/"
# xfs-xtt
# FontPath "unix/:7100"
FontPath "/usr/X11R6/lib/X11/fonts/Speedo/"
FontPath "/usr/X11R6/lib/X11/fonts/Type1/"
FontPath "/usr/X11R6/lib/X11/fonts/CID/"
FontPath "/usr/X11R6/lib/X11/fonts/100dpi/"
FontPath "/usr/X11R6/lib/X11/fonts/75dpi/"
FontPath "/usr/X11R6/lib/X11/fonts/TrueType/"
EndSection

Section "Module"
Load "dbe"
# turned on 11/15/06!
Load "dri"
Load "extmod"
Load "glx"
Load "pex5"
Load "record"
Load "xie"
Load "type1"
#--------------------------------------
Load "freetype"
# Load "type1"
Load "xft"
# Load "extmod"
# Load "xie"
# Load "pex5"
# Load "glx"
# Load "dri"
# Load "GLcore"
# Load "dbe"
#---------------------------------------
EndSection

#Section "InputDevice"
# Identifier "Keyboard0"
# Driver "kbd"
# Option "XkbModel" "pc105"
# Option "XkbLayout" "us_intl"
# Option "XkbOptions" "alt-intl"
#EndSection

Section "InputDevice"
Identifier "Keyboard0"
Driver "evdev"
# Option "Device" "/dev/input/event0"
Option "Phys" "isa0060/serio1/input0"
Option "XkbLayout" "us_intl"
Option "Xleds" "2 3"
EndSection

#Section "InputDevice"
# Identifier "Keyboard1"
# Driver "kbd"
# Option "XkbModel" "pc105"
# Option "XkbLayout" "us_intl"
#EndSection

Section "InputDevice"
Identifier "Keyboard1"
Driver "evdev"
# Option "Device" "/dev/input/event1"
Option "Phys" "isa0060/serio0/input0"
Option "XkbLayout" "us_intl"
Option "Xleds" "2 3"
EndSection

#http://www.linux-gamers.net/modules/wiwimod/index.php?page=HOWTO+Mouse+Buttons
Section "InputDevice"
Identifier "Mouse0"
Driver "evdev"
Option "Device" "/dev/input/event5" # (cat /proc/bus/input/devices)
# Option "Device" "/dev/input/event3" # (cat /proc/bus/input/devices)
# Option "Device" "/dev/input/event4" # for vin's system
Option "Name" "A4Tech USB Optical Mouse"
Option "ZAxisMapping" "6 7 4 5"
# Option "Emulate3Buttons" "true"
Option "Buttons" "12"
EndSection

Section "InputDevice"
Identifier "Mouse1"
Driver "evdev"
Option "Device" "/dev/input/event6" # (cat /proc/bus/input/devices)
# Option "Device" "/dev/input/event4" # (cat /proc/bus/input/devices)
# Option "Device" "/dev/input/event5" # for vin's system
Option "Name" "A4Tech USB Optical Mouse"
Option "ZAxisMapping" "6 7 4 5"
Option "Buttons" "12"
EndSection


Section "Monitor"
Identifier "Monitor0"
VendorName "SAM"
ModelName "1057"
Option "DPMS"
HorizSync 30.0 - 70.0
VertRefresh 50.0 - 160.0
EndSection

Section "Monitor"
Identifier "Monitor1"
VendorName "SAM"
ModelName "1057"
Option "DPMS"
HorizSync 30.0 - 70.0
VertRefresh 50.0 - 160.0
EndSection

Section "Device"
### Available Driver options are:-
### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
### [arg]: arg optional
#Option "SWcursor" # [<bool>]
#Option "HWcursor" # [<bool>]
#Option "NoAccel" # [<bool>]
#Option "ShowCache" # [<bool>]
#Option "ShadowFB" # [<bool>] HVW
#Option "UseFBDev" # [<bool>]
#Option "Rotate" "CW" # [<str>] HVW
#Option "VideoKey" # <i>
#Option "FlatPanel" # [<bool>]

Option "AllowGLXWithComposite" "On"
Option "RenderAccel" "True"

Option "NvAGP" "0"
Identifier "nvidia0"
Driver "nvidia"
# Driver "nv"
VendorName "NVidia"
# BoardName "RIVA TNT2 Model 64/Model 64 Pro"
BoardName "GeForce4 MX 4000 AGP 8x"
BusID "PCI:1:0:0"
EndSection

Section "Device"
### Available Driver options are:-
### Values: <i>: integer, <f>: float, <bool>: "True"/"False",
### <string>: "String", <freq>: "<f> Hz/kHz/MHz"
### [arg]: arg optional
#Option "SWcursor" # [<bool>]
#Option "HWcursor" # [<bool>]
#Option "NoAccel" # [<bool>]
#Option "ShowCache" # [<bool>]
#Option "ShadowFB" # [<bool>] HVW
#Option "UseFBDev" # [<bool>]
#Option "Rotate" "CW" # [<str>] HVW
#Option "VideoKey" # <i>
#Option "FlatPanel" # [<bool>]

Option "AllowGLXWithComposite" "On"
Option "RenderAccel" "True"
Option "RandRRotation" "1"
Option "NvAGP" "0"

Identifier "nvidia1"
Driver "nvidia"
# Driver "nv"
VendorName "NVidia"
BoardName "GeForce4 MX 440 AGP 8x"
BusID "PCI:0:10:0"
EndSection

Section "Screen"
Identifier "Screen X0"
Device "nvidia0"
Monitor "Monitor0"
# DefaultColorDepth 16 #Added... Colors looked off...
DefaultColorDepth 24
SubSection "Display"
Depth 1
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 4
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 8
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 15
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 16
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 24
Modes "1280x1024"
EndSubSection
EndSection

Section "Screen"
Identifier "Screen X1"
Device "nvidia1"
Monitor "Monitor1"
# DefaultColorDepth 16 #Added... Colors looked off...
DefaultColorDepth 24
SubSection "Display"
Depth 1
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 4
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 8
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 15
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 16
Modes "1280x1024"
EndSubSection
SubSection "Display"
Depth 24
Modes "1280x1024"
# Modes "1680x1050"
EndSubSection
EndSection
 
Old 01-04-2008, 12:14 PM
"Paul Csanyi"
 
Default Anyone run nvidia driver + latest xorg 7.3?

Hello!

2008/1/4, Hugo Vanwoerkom <hvw59601@care2.com>:

> I am getting an X server crash after upgrading xorg on Sid to 7.3:

It seems that that nvidia driver doesn't works still on SID?

I try to use nvidia driver on Etch, but without success.
I think about to upgrade to SID, but now, well, I don't know..

Look here my shot to solve this problem with nvidia driver!

--
Regards, Paul Csanyi
http://www.freewebs.com/csanyi-pal/index.htm


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 12:14 PM
"Paul Csanyi"
 
Default Anyone run nvidia driver + latest xorg 7.3?

Hello!

2008/1/4, Hugo Vanwoerkom <hvw59601@care2.com>:

> I am getting an X server crash after upgrading xorg on Sid to 7.3:

It seems that that nvidia driver doesn't works still on SID?

I try to use nvidia driver on Etch, but without success.
I think about to upgrade to SID, but now, well, I don't know..

Look here my shot to solve this problem with nvidia driver!

--
Regards, Paul Csanyi
http://www.freewebs.com/csanyi-pal/index.htm


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:02 PM
Hugo Vanwoerkom
 
Default Anyone run nvidia driver + latest xorg 7.3?

Paul Csanyi wrote:

Hello!

2008/1/4, Hugo Vanwoerkom <hvw59601@care2.com>:


I am getting an X server crash after upgrading xorg on Sid to 7.3:


It seems that that nvidia driver doesn't works still on SID?

I try to use nvidia driver on Etch, but without success.
I think about to upgrade to SID, but now, well, I don't know..

Look here my shot to solve this problem with nvidia driver!



Where?

And Etch cannot have this problem because it occurs only with the latest
Xorg: Lenny (but I don't have that) and Sid.


Hugo



--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:12 PM
"Paul Csanyi"
 
Default Anyone run nvidia driver + latest xorg 7.3?

2008/1/4, Hugo Vanwoerkom <hvw59601@care2.com>:
> Paul Csanyi wrote:
> > 2008/1/4, Hugo Vanwoerkom <hvw59601@care2.com>:
> >
> >> I am getting an X server crash after upgrading xorg on Sid to 7.3:
> >
> > It seems that that nvidia driver doesn't works still on SID?
> >
> > I try to use nvidia driver on Etch, but without success.
> > I think about to upgrade to SID, but now, well, I don't know..
> >
> > Look here my shot to solve this problem with nvidia driver!
>
> Where?

Sorry, I was in a hurry.

Here:
http://www.debiantutorials.org/talkitup/index.php?topic=39.msg2630#msg2630

> And Etch cannot have this problem because it occurs only with the latest
> Xorg: Lenny (but I don't have that) and Sid.

OK

--
Regards, Paul Csanyi
http://www.freewebs.com/csanyi-pal/index.htm


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:18 PM
"Damon L. Chesser"
 
Default Anyone run nvidia driver + latest xorg 7.3?

On Fri, 2008-01-04 at 06:45 -0600, Hugo Vanwoerkom wrote:
> Hi,
>
> I am getting an X server crash after upgrading xorg on Sid to 7.3:
>
> Backtrace:
> 0: /usr/X11R6/bin/X(xf86SigHandler+0x7e) [0x80c660e]
> 1: [0xffffe420]
> 2: /lib/libc.so.6(__libc_malloc+0x8d) [0xb7d11d2d]
> 3: /usr/X11R6/bin/X(XNFalloc+0x27) [0x81b4507]
> 4: /usr/X11R6/bin/X(xf86AddInputDriver+0x6b) [0x80cfeab]
> 5: /usr/X11R6/lib/modules/drivers//nvidia_drv.so(_nv000813X+0x63)
> [0xb71716c3]
> 6: /usr/X11R6/bin/X(main+0x296) [0x8074516]
> 7: /lib/libc.so.6(__libc_start_main+0xe0) [0xb7cba450]
> 8: /usr/X11R6/bin/X(FontFileCompleteXLFD+0x205) [0x8073a81]
>
> Fatal server error:
> Caught signal 11. Server aborting
>
> Running:
> hugo@debian:~$ uname -a
> Linux debian 2.6.23-1-686 #1 SMP PREEMPT Sun Dec 9 10:02:52 CST 2007
> i686 GNU/Linux
>
> and:
> ii xserver-xorg 1:7.2-5 the
> X.Org X server
> ii xserver-xorg-core 2:1.4.1~git20071212-2 Xorg X
> server - core server
>
> with:
> NVIDIA-Linux-x86-1.0-9631-pkg1.run
>

Here is what I have:

root@dam-main:/home/damon# uname -a
Linux dam-main 2.6.23-1-amd64 #1 SMP Fri Dec 21 12:00:17 UTC 2007 x86_64
GNU/Linux

ii xserver-xorg 1:7.3+9
the X.Org X server
ii xserver-xorg-core 2:1.4.1~git20071212-2
Xorg X server - core server

However, I made nvidia the debian way:

http://wiki.debian.org/NvidiaGraphicsDrivers#head-66567b721cdb947ee9ff623b85cc9a3db2cfb471

I have no issues that you discribe. I did notice that you have dri
loading: Load "dri"

from the above link: "Edit your X config file:

* In the "Module" section, be sure that you have a line:
Load "glx"

and remove or comment out (prepend with a #) any lines that
refer to the "dri" or "GLCore" modules. "






> Errors show up in Xorg.0.log:
>
> (EE) NVIDIA(0): ============= WARNING WARNING WARNING WARNING =============
> (EE) NVIDIA(0): This server has a video driver ABI version of 2.0 but this
> (EE) NVIDIA(0): driver is designed to work with versions before 2.0.
> (EE) NVIDIA(0): Please check http://www.nvidia.com/ for driver
> updates or
> (EE) NVIDIA(0): downgrade to an X server with a supported driver ABI.
> (EE) NVIDIA(0): ================================================== =========
>
> But despite setting -ignoreABI in gdm.conf, still persists.
>
> Hugo

I conclude that this is perhaps due to the DRI being loaded and/or
running the latest binary from Nvidia. However I never had an issue
running the latest sid xorg with the latest debian nvidia glx.

HTH

Damon L. Chesser






--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:19 PM
Ron Johnson
 
Default Anyone run nvidia driver + latest xorg 7.3?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 01/04/08 06:45, Hugo Vanwoerkom wrote:
> Hi,
>
> I am getting an X server crash after upgrading xorg on Sid to 7.3:
>
> Backtrace:
> 0: /usr/X11R6/bin/X(xf86SigHandler+0x7e) [0x80c660e]
> 1: [0xffffe420]
[snip]
>
> with:
> NVIDIA-Linux-x86-1.0-9631-pkg1.run
>
> Errors show up in Xorg.0.log:
>
> (EE) NVIDIA(0): ============= WARNING WARNING WARNING WARNING =============
> (EE) NVIDIA(0): This server has a video driver ABI version of 2.0 but this
> (EE) NVIDIA(0): driver is designed to work with versions before 2.0.
> (EE) NVIDIA(0): Please check http://www.nvidia.com/ for driver
> updates or
> (EE) NVIDIA(0): downgrade to an X server with a supported driver ABI.
> (EE) NVIDIA(0): ================================================== =========
>
> But despite setting -ignoreABI in gdm.conf, still persists.

When I got a similar error, I bumped up to the v169.04 of the driver.

- --
Ron Johnson, Jr.
Jefferson LA USA

"I'm not a vegetarian because I love animals, I'm a vegetarian
because I hate vegetables!"
unknown
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHfk6PS9HxQb37XmcRAgQaAKCHMae8Bco3Fv7VHi4R0k DrzafqdQCgn+Jf
lXzlc+xMOIV0QD5XSt6G47A=
=+Rih
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:35 PM
Hugo Vanwoerkom
 
Default Anyone run nvidia driver + latest xorg 7.3?

Ron Johnson wrote:

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 01/04/08 06:45, Hugo Vanwoerkom wrote:

Hi,

I am getting an X server crash after upgrading xorg on Sid to 7.3:

Backtrace:
0: /usr/X11R6/bin/X(xf86SigHandler+0x7e) [0x80c660e]
1: [0xffffe420]

[snip]

with:
NVIDIA-Linux-x86-1.0-9631-pkg1.run

Errors show up in Xorg.0.log:

(EE) NVIDIA(0): ============= WARNING WARNING WARNING WARNING =============
(EE) NVIDIA(0): This server has a video driver ABI version of 2.0 but this
(EE) NVIDIA(0): driver is designed to work with versions before 2.0.
(EE) NVIDIA(0): Please check http://www.nvidia.com/ for driver
updates or
(EE) NVIDIA(0): downgrade to an X server with a supported driver ABI.
(EE) NVIDIA(0): ================================================== =========

But despite setting -ignoreABI in gdm.conf, still persists.


When I got a similar error, I bumped up to the v169.04 of the driver.



Sad to say :-( I have:
product: NV18 [GeForce4 MX 4000 AGP 8x]
product: NV18 [GeForce4 MX 440 AGP 8x]

and those need legacy 96xx driver, so no bumping...
Hugo


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:44 PM
Ron Johnson
 
Default Anyone run nvidia driver + latest xorg 7.3?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 01/04/08 09:35, Hugo Vanwoerkom wrote:
> Ron Johnson wrote:
>> On 01/04/08 06:45, Hugo Vanwoerkom wrote:
>>> Hi,
>>>
>>> I am getting an X server crash after upgrading xorg on Sid to 7.3:
>>>
>>> Backtrace:
>>> 0: /usr/X11R6/bin/X(xf86SigHandler+0x7e) [0x80c660e]
>>> 1: [0xffffe420]
>> [snip]
>>> with:
>>> NVIDIA-Linux-x86-1.0-9631-pkg1.run
>>>
>>> Errors show up in Xorg.0.log:
>>>
>>> (EE) NVIDIA(0): ============= WARNING WARNING WARNING WARNING
>>> =============
>>> (EE) NVIDIA(0): This server has a video driver ABI version of 2.0 but
>>> this
>>> (EE) NVIDIA(0): driver is designed to work with versions before 2.0.
>>> (EE) NVIDIA(0): Please check http://www.nvidia.com/ for driver
>>> updates or
>>> (EE) NVIDIA(0): downgrade to an X server with a supported driver
>>> ABI.
>>> (EE) NVIDIA(0):
>>> ================================================== =========
>>>
>>> But despite setting -ignoreABI in gdm.conf, still persists.
>>
>> When I got a similar error, I bumped up to the v169.04 of the driver.
>>
>
> Sad to say :-( I have:
> product: NV18 [GeForce4 MX 4000 AGP 8x]
> product: NV18 [GeForce4 MX 440 AGP 8x]
>
> and those need legacy 96xx driver, so no bumping...

Well, you're screwed. I see three options:
1. Use nv.
2. http://www.newegg.com/Product/Product.aspx?Item=N82E16814130039
3. Use the console.

- --
Ron Johnson, Jr.
Jefferson LA USA

"I'm not a vegetarian because I love animals, I'm a vegetarian
because I hate vegetables!"
unknown
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHflRtS9HxQb37XmcRAu0HAJ9MXoe2cdkxL8eLIlKqyL tJfcql7ACgumug
OkMAY4fbpL/YDOU0H15bh+Y=
=8Gep
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 01-04-2008, 02:49 PM
"Chris Howie"
 
Default Anyone run nvidia driver + latest xorg 7.3?

(Resending, apparently GMail is not smart enough to reply to the list by default.* Sorry, Ron.)

On Jan 4, 2008 10:44 AM, Ron Johnson <ron.l.johnson@cox.net
> wrote:
> Sad to say :-( I have:
> product: NV18 [GeForce4 MX 4000 AGP 8x]

> product: NV18 [GeForce4 MX 440 AGP 8x]
>
> and those need legacy 96xx driver, so no bumping...

Well, you're screwed. *I see three options:
1. Use nv.
2.
http://www.newegg.com/Product/Product.aspx?Item=N82E16814130039
3. Use the console.
And this, ladies and gentlemen, is why closed source drivers suck.*
--
Chris Howie

http://www.chrishowie.com
http://en.wikipedia.org/wiki/User:Crazycomputers
 

Thread Tools




All times are GMT. The time now is 11:45 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org